Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine
Class ResultSetMappingDefinition

    java.lang.Object
      org.hibernate.engine.ResultSetMappingDefinition

All Implemented Interfaces:
  Serializable

    public class ResultSetMappingDefinition

extends Object
implements Serializable

Keep a description of the resultset mapping

See Also:
  Serialized Form

Constructor Summary
`ResultSetMappingDefinition(String name)`

Method Summary
`void` | `addQueryReturn(NativeSQLQueryReturn queryReturn)`
`String` | `getName()`
`NativeSQLQueryReturn[]` | `getQueryReturns()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultSetMappingDefinition

    public ResultSetMappingDefinition(String name)

Method Detail

### getName

    public String getName()

### addQueryReturn

    public void addQueryReturn(NativeSQLQueryReturn queryReturn)

### getQueryReturns

    public NativeSQLQueryReturn[] getQueryReturns()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.